<?php

class Dice
{
   var $diceType = 20;
   var $numberDice = 1;
   var $result = array();
   
   function Dice()
   {
   
   }
   
   function setDiceType($type)
   {
      if($this->isInteger($type))
      {
         $this->diceType = $type;
         return(TRUE);
      }
      else
      {
         return(FALSE);
      }
   }
   
   function setNumberDice($number)
   {
      if($this->isInteger($number))
      {
         $this->numberDice = $number;
         return(TRUE);
      }
      else
      {
         return(FALSE);
      }
   }
   
   function isInteger($value)
   {
      $number = $value + 0;
      if($value != $number)
      {
         return(FALSE);
      }
      return(is_int($number));
   }
   
   function roll()
   {
      $this->result = array();
      for($ix = 1; $ix <= $this->numberDice; $ix++)
      {
         $this->result[$ix] = rand(1, $this->diceType);
      }
   }
   
   function displayResult()
   {
      $class = "die";
      switch($this->diceType)
      {
         case 4:
            $class .= " four";
            break;
         case 6:
            $class .= " six";
            break;
         case 8:
            $class .= " eight";
            break;
         case 10:
            $class .= " ten";
            break;
         case 12:
            $class .= " twelve";
            break;
         case 20:
            $class .= " twenty";
            break;
      }
	  $test ="";
      foreach($this->result as $value)
      {
         $test .="<div class=\"$class\"><p class=\"shadow\">$value</p><p class=\"top\">$value</p></div>\n";
      }
	  return $test;
   }
   
   function total()
   {
      if(count($this->result))
      {
         return(array_sum($this->result));
      }
      return(FALSE);
   }
}
?>